<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/html">


<head>
    <meta charset="UTF-8"/>
    <title>Capabilities</title>
<link rel="shortcut icon" type="image/x-icon" href="favicon.ico">
<link rel="apple-touch-icon" sizes="57x57" href="apple-icon-57x57.png">
<link rel="apple-touch-icon" sizes="60x60" href="apple-icon-60x60.png">
<link rel="apple-touch-icon" sizes="72x72" href="apple-icon-72x72.png">
<link rel="apple-touch-icon" sizes="76x76" href="apple-icon-76x76.png">
<link rel="apple-touch-icon" sizes="114x114" href="apple-icon-114x114.png">
<link rel="apple-touch-icon" sizes="120x120" href="apple-icon-120x120.png">
<link rel="apple-touch-icon" sizes="144x144" href="apple-icon-144x144.png">
<link rel="apple-touch-icon" sizes="152x152" href="apple-icon-152x152.png">
<link rel="apple-touch-icon" sizes="180x180" href="apple-icon-180x180.png">
<link rel="icon" type="image/png" sizes="192x192"  href="android-icon-192x192.png">
<link rel="icon" type="image/png" sizes="32x32" href="favicon-32x32.png">
<link rel="icon" type="image/png" sizes="96x96" href="favicon-96x96.png">
<link rel="icon" type="image/png" sizes="16x16" href="favicon-16x16.png">
<meta name="msapplication-TileColor" content="#ffffff">
<meta name="msapplication-TileImage" content="/ms-icon-144x144.png">
<meta name="theme-color" content="#ffffff">
<!--[if IE 7]>
<!--<link rel="stylesheet" href="font-awesome/css/font-awesome-ie7.min.css">-->

<link rel="stylesheet" type="text/css" href="fontawesome-free-5.7.2-web/css/all.min.css">
<link rel="stylesheet" type="text/css" href="fontawesome-free-5.7.2-web/css/v4-shims.min.css">

<!-- JQuery -->
<script type="text/javascript" src="scripts/jquery-1.11.1.min.js"></script><link rel="stylesheet" type="text/css" href="chartist/chartist-plugin-tooltip/dist/chartist-plugin-tooltip.min.css">
<link rel="stylesheet" type="text/css" href="chartist/dist/chartist.min.css">
<script src="chartist/dist/chartist.min.js"></script>
<script src="chartist/chartist-plugin-tooltip/dist/chartist-plugin-tooltip.min.js"></script>
<!-- Required Stylesheets -->
<link href="bootstrap-treeview/dist/bootstrap-treeview.min.css" rel="stylesheet">

<!-- Required Javascript -->
<script src="bootstrap-treeview/dist/bootstrap-treeview.min.js"></script><!-- DataTables -->
<link type="text/css" href="datatables/1.10.20/datatables.min.css" rel="stylesheet" />
<script type="text/javascript" src="datatables/1.10.20/datatables.min.js"></script>
<script type="text/javascript" src="datatables/1.10.20/time-elapsed-dhms.js"></script>

<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="datatables/1.10.20/datatables.bootstrap4.min.js"></script>
<link type="text/css" href="datatables/1.10.20/datatables.bootstrap4.min.css" rel="stylesheet" />

<script>
    jQuery.fn.dataTable.ext.type.order['time-elapsed-dhms-pre'] = function(data) {

        var matches = data.match(/^(\d+(?:\.\d+)?)\s*([a-z]+)/i);
        var multipliers = {
            ms: 1,
            s: 1000,
            m: 60000,
            h: 3600000,
            d: 86400000
        };

        if (matches) {
            var multiplier = multipliers[matches[2].toLowerCase()];
            return parseFloat(matches[1]) * multiplier;
        } else {
            return -1;
        };
    };
</script>
<link rel="stylesheet" href="css/core.css"/>
<link rel="stylesheet" href="css/link.css"/>
<link type="text/css" media="screen" href="css/screen.css" rel="Stylesheet"/><!-- JQuery-UI -->
<link type="text/css" href="jqueryui/1.11.2-start/jquery-ui.min.css" rel="Stylesheet" />
<script type="text/javascript" src="jqueryui/1.11.2-start/jquery-ui.min.js"></script><!-- DataTables -->
<link type="text/css" href="datatables/1.10.20/datatables.min.css" rel="stylesheet" />
<script type="text/javascript" src="datatables/1.10.20/datatables.min.js"></script>
<script type="text/javascript" src="datatables/1.10.20/time-elapsed-dhms.js"></script>

<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="datatables/1.10.20/datatables.bootstrap4.min.js"></script>
<link type="text/css" href="datatables/1.10.20/datatables.bootstrap4.min.css" rel="stylesheet" />

<script>
    jQuery.fn.dataTable.ext.type.order['time-elapsed-dhms-pre'] = function(data) {

        var matches = data.match(/^(\d+(?:\.\d+)?)\s*([a-z]+)/i);
        var multipliers = {
            ms: 1,
            s: 1000,
            m: 60000,
            h: 3600000,
            d: 86400000
        };

        if (matches) {
            var multiplier = multipliers[matches[2].toLowerCase()];
            return parseFloat(matches[1]) * multiplier;
        } else {
            return -1;
        };
    };
</script>



    <script>

        $(document).ready(function () {

            var scenarioTable = $('.scenario-result-table').DataTable({

                "order": [],
                "language": {
                    searchPlaceholder: "Filter",
                    search: ""
                }
            });

            $('.example-table table').DataTable({
                searching: false,
                ordering: false,
                paging: false,
                info: false
            });

            $('.example-table-in-scenario table').DataTable({
                searching: false,
                ordering: false,
                paging: false,
                info: false
            });

            $('#evidence-table').DataTable(
                    {
                        searching: false,
                        ordering: false,
                        paging: false,
                        info: false
                    }
            );


            $(".scenario-docs .card-body table").wrap("<div class='table-responsive'></div>");

            $("#requirements-tabs").tabs();
            $("#test-tabs").tabs();

            var requirementsTree = [{"text":"Backend API","type":"capability","href":"5b0b500db2dfd98ccb3584eed6275bc7ba4d506665983d1b8fc2e8acb36c8678.html","nodes":[{"text":"API Authentication","type":"feature","href":"38cfced0e0a5cef77cc33480617cd9eaaf57539376b2f9990af9a8701b70f56e.html","nodes":[],"selectable":false,"tags":["\u003ca href\u003d\u0027##beforetable\u0027\u003e\u003ci class\u003d\u0027fa fa-check-circle-o success-icon \u0027 title\u003d\u0027SUCCESS\u0027\u003e\u003c/i\u003e\u003c/a\u003e","\u003cspan class\u003d\u0027feature-count\u0027\u003e3 scenarios\u003c/span\u003e"]},{"text":"Comment API","type":"feature","href":"ab734688a5b497119987271b114d2e41d1b80959a1ef0c83762f7da0fe3a10e8.html","nodes":[],"selectable":false,"tags":["\u003ca href\u003d\u0027##beforetable\u0027\u003e\u003ci class\u003d\u0027far fa-stop-circle pending-icon \u0027 title\u003d\u0027PENDING\u0027\u003e\u003c/i\u003e\u003c/a\u003e","\u003cspan class\u003d\u0027feature-count\u0027\u003e2 scenarios\u003c/span\u003e"]},{"text":"Confirmation API","type":"feature","href":"849966e24da266cfc9196a6e38262221c94c8733a97e188d89343322b2d6351d.html","nodes":[],"selectable":false,"tags":["\u003ca href\u003d\u0027##beforetable\u0027\u003e\u003ci class\u003d\u0027far fa-stop-circle pending-icon \u0027 title\u003d\u0027PENDING\u0027\u003e\u003c/i\u003e\u003c/a\u003e",""]},{"text":"Library Content API","type":"feature","href":"bd358fc71d4d5dbfd61fa54e7928f6aa0fee842510b316b71daf4f46ba5a1cd3.html","nodes":[],"selectable":false,"tags":["\u003ca href\u003d\u0027##beforetable\u0027\u003e\u003ci class\u003d\u0027far fa-stop-circle pending-icon \u0027 title\u003d\u0027PENDING\u0027\u003e\u003c/i\u003e\u003c/a\u003e","\u003cspan class\u003d\u0027feature-count\u0027\u003e2 scenarios\u003c/span\u003e"]},{"text":"Search API","type":"feature","href":"0a3bb92c62187572ef43df22294915fe9c261333160047f89272e587553b175c.html","nodes":[],"selectable":false,"tags":["\u003ca href\u003d\u0027##beforetable\u0027\u003e\u003ci class\u003d\u0027far fa-stop-circle pending-icon \u0027 title\u003d\u0027PENDING\u0027\u003e\u003c/i\u003e\u003c/a\u003e","\u003cspan class\u003d\u0027feature-count\u0027\u003e2 scenarios\u003c/span\u003e"]},{"text":"User API","type":"feature","href":"8ded5911c09a6e6fa5f212701de0e767cf15433edc8c5c6fa3d7ac35e38a272d.html","nodes":[],"selectable":false,"tags":["\u003ca href\u003d\u0027##beforetable\u0027\u003e\u003ci class\u003d\u0027fa fa-check-circle-o success-icon \u0027 title\u003d\u0027SUCCESS\u0027\u003e\u003c/i\u003e\u003c/a\u003e","\u003cspan class\u003d\u0027feature-count\u0027\u003e2 scenarios\u003c/span\u003e"]},{"text":"User Attribute API","type":"feature","href":"769b61a942a70440de1c0c12b127689140a67a379f3c54faaed82def267ef777.html","nodes":[],"selectable":false,"tags":["\u003ca href\u003d\u0027##beforetable\u0027\u003e\u003ci class\u003d\u0027far fa-stop-circle pending-icon \u0027 title\u003d\u0027PENDING\u0027\u003e\u003c/i\u003e\u003c/a\u003e","\u003cspan class\u003d\u0027feature-count\u0027\u003e7 scenarios\u003c/span\u003e"]},{"text":"User Library API","type":"feature","href":"3cd56c3dc7653b4b633640e29fc78fa9f10b78dd0e4da34de475dfb8317a3c95.html","nodes":[],"selectable":false,"tags":["\u003ca href\u003d\u0027##beforetable\u0027\u003e\u003ci class\u003d\u0027fa fa-check-circle-o success-icon \u0027 title\u003d\u0027SUCCESS\u0027\u003e\u003c/i\u003e\u003c/a\u003e","\u003cspan class\u003d\u0027feature-count\u0027\u003e3 scenarios\u003c/span\u003e"]}],"selectable":false,"tags":["","\u003cspan class\u003d\u0027feature-count\u0027\u003e8 features\u003c/span\u003e"]}];

            $('#tree').treeview({
                data: requirementsTree,
                enableLinks: true,
                showTags: true,
                expandIcon: "glyphicon glyphicon-folder-close",
                collapseIcon: "glyphicon glyphicon-folder-open",
                emptyIcon: "glyphicon glyphicon-book"
            });

        });
    </script>

    <script>
        $(document).ready(function () {
            $(".scenario-docs > div > p").html(function () {
                var text = $(this).text().trim().split(" ");
                var first = text.shift();
                return (text.length > 0 ? "<strong>" + first + "</strong> " : first) + text.join(" ");
            });
        });
    </script>
</head>

<body class="results-page">
<div id="topheader">
    <div id="topbanner">
        <div id="logo"><a href="index.html"><img src="images/serenity-logo.png" border="0"/></a></div>
        <div id="projectname-banner" style="float:right">
            <span class="projectname">
                <span class="projecttitle">earthnew.media BDD Report</span>
                <span class="projectsubtitle"></span>
            </span>
        </div>
    </div>
</div>


<div class="middlecontent">
    <div id="contenttop">
        <div class="middlebg">
            <span class="breadcrumbs">
            <a href='index.html'>Home</a> > <a href="capabilities.html">Requirements</a>



                > <span class="truncate-40">Backend API</span>

            </span>
        </div>
        <div class="rightbg"></div>
    </div>
    <div class="clr"></div>

    <!--/* starts second table*/-->

<div>
    <ul class="nav nav-tabs" role="tablist">
        <li >
            <a href="index.html"><i class="fa fa-check-square-o"></i> Overall Test Results</a>
        </li>
        <li >
            <a href="capabilities.html"><i class="fa fa-book"></i> Requirements</a>
        </li>
        <li class="active">
            <a href="#"><i class="fa fa-comments-o"></i> Capabilities</a>
        </li>
        <li >
            <a href="576946480b52ad056d6f5bddf874399c83582ecf90963cc074a14c70580e7d9f.html"><i class="fa fa-comments-o"></i> Features</a>
        </li>
    </ul>
    <span class="date-and-time"><a href="build-info.html"><i class="fa fa-info-circle"></i></a> Report generated 07-04-2020 08:26</span>
    <br style="clear:left"/>
</div>

    <div class="clr"></div>

    <div id="beforetable"></div>
    <div id="results-dashboard">
        <div class="table">
                <div class=row">
                    <div class="col-sm-12">
                        <div>
                            <div clas="table">
                                <div class="row">
                                    <div class="col-sm-12">
                                    <span>
                                            <h2><i class="fa fa-book"></i> Capability:  Backend API</h2>
                                        </span>
                                </div>
                                </div>
                                </div>
                            </div>
                            <div class="requirementNarrativeTitle">
                                
                            </div>

                        </div>
                    </div>


            <div class="row">
                <div class="col-sm-12">

                    <!-- Requirements result tabs -->
                    <ul class="nav nav-tabs">
                        <li class="active">
                            <a data-toggle="tab" href="#specs"><i class="fas fa-comments"></i> Specifications</a>
                        </li>
                        <li>
                            <a data-toggle="tab" href="#results"><i class="fas fa-tachometer-alt"></i> Test Results</a>
                        </li>
                    </ul>

                    <!-- Specifications and Results tabs -->
                    <div class="card border">
                        <div class="tab-content" id="pills-tabContent">
                            <div id="specs" class="tab-pane fade in active">
                                <div class="container-fluid">
                                    <div class="row">
                                        <div class="col-sm-12">

                                            <h3>Requirements Overview</h3>

                                            <div id="tree"></div>

                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div id="results" class="tab-pane fade">
                                <div class="container-fluid">
                                    <div class="row">
                                        <div class="col-sm-4">

                                            <div style="width:300px;" class="chart-container automated-and-manual-results">
                                                <div class="ct-chart ct-square"></div>
                                            </div>
                                            <script>

                                                var labels = ['62%', ' ', '38%', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' '];
                                                // Our series array that contains series objects or in this case series data arrays

                                                var series = [{meta: 'Passing tests (automated)', value: 13}, {meta: 'Passing tests (manual)', value: 0}, {meta: 'Pending tests (automated)', value: 8}, {meta: 'Pending tests (manual)', value: 0}, {meta: 'Ignored tests (automated)', value: 0}, {meta: 'Ignored tests (manual)', value: 0}, {meta: 'Skipped tests (automated)', value: 0}, {meta: 'Skipped tests (manual)', value: 0}, {meta: 'Failing tests (automated)', value: 0}, {meta: 'Failing tests (manual)', value: 0}, {meta: 'Broken tests (automated)', value: 0}, {meta: 'Broken tests (manual)', value: 0}, {meta: 'Compromised tests (automated)', value: 0}, {meta: 'Compromised tests (manual)', value: 0}];

                                                // As options we currently only set a static size of 300x200 px. We can also omit this and use aspect ratio containers
                                                // as you saw in the previous example
                                                var options = {
                                                    width: 350,
                                                    height: 300
                                                };

                                                $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
                                                    new Chartist.Pie('.ct-chart', {
                                                        series: series,
                                                        labels: labels,
                                                    }, {
                                                        donut: true,
                                                        donutWidth: 60,
                                                        donutSolid: true,
                                                        startAngle: 270,
                                                        showLabel: true
                                                    }, options);
                                                });

                                            </script>
                                        </div>
                                        <div class="col-sm-8">

                                        <table class="table">
                                            <thead>
                                            <tr>
                                                <th scope="col">Scenario Results (including rows of test data)</th>
                                                <th scope="col" colspan="2" class="automated-stats">
                                                    Automated
                                                </th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr>
                                                                    <td class="aggregate-result-count">
                                                                        <a href="7e62ca5406ecdedf45e012e6085f027c14492ae35f7cbfd4dede453267095b51.html"><i
                                                                                class='fa fa-check-circle-o success-icon'></i>&nbsp;Passing</a>
                                                                    </td>
                                                <td class="automated-stats">13</td>
                                                <td class="automated-stats">62%</td>
                                            </tr>
                                            <tr>
                                                                    <td class="aggregate-result-count">
                                                                        <a href="6172591b103295adac4dc77c374b956f03c2fd710c3c43f89f8eef80505990af.html"><i
                                                                                class='fa fa-stop-circle-o pending-icon'></i>&nbsp;Pending</a>
                                                                    </td>
                                                <td class="automated-stats">8</td>
                                                <td class="automated-stats">38%</td>
                                            </tr>
                                            <tr>
                                                                <td class="aggregate-result-count"><i
                                                                        class='fa fa-ban ignored-icon'></i>&nbsp;Ignored
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr>
                                                                <td class="aggregate-result-count"><i
                                                                        class='fa fa-fast-forward skip-icon'></i>&nbsp;Skipped
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr>
                                                                            <td colspan="3"><i
                                                                                class='fa fa-times failure-icon'></i>&nbsp;<em>Unsuccessful</em></a>
                                                                            </td>

                                            </tr>

                                            <tr>
                                                                <td class="aggregate-result-count indented-error-category">
                                                                    <i
                                                                            class='fa fa-times-circle failure-icon'></i>&nbsp;Failed
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            <tr>
                                                                <td class="aggregate-result-count indented-error-category">
                                                                    <i
                                                                            class='fa fa-exclamation-triangle error-icon'></i>&nbsp;Broken
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            <tr>
                                                                <td class="aggregate-result-count indented-error-category">
                                                                    <i
                                                                            class='fa fa-chain-broken compromised-icon'></i>&nbsp;Compromised
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr class="summary-stats">
                                                <td class="aggregate-result-count">Total</td>
                                                <td class="automated-stats">21</td>
                                                <td class="automated-stats"></td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    </div>

                                        <div class="row">
                                            <div class="col-sm-12">
                                                <table class="table">
                                                    <thead>
                                                    <tr>
                                                        <th>Execution Time</th>
                                                        <th>Clock Time</th>
                                                        <th>Fastest Test</th>
                                                        <th>Slowest Test</th>
                                                        <th>Average Execution Time</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr>
                                                        <td>16s</td>
                                                        <td>15s</td>
                                                        <td>2ms</td>
                                                        <td>1s</td>
                                                        <td>785ms</td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>


                                        <div class="row">
                                            <div class="col-sm-12">
                                                <h3><i class="fas fa-clipboard-check"></i> Functional Coverage</h3>



<h4 class="requireent-type-heading">Features</h4>

<table class="scenario-result table" id="req-results-table">
    <thead>
        <tr>
            <th class="requirement-name-column" width="60%">Feature</th>
            <th>ID</th>
            <th>Automated Tests</th>
                <th>Manual Tests</th>
            <th>Results</th>
            <th>Coverage</th>
        </tr>
    </thead>
    <tbody>


        <tr>


            <td> 
                <a href="38cfced0e0a5cef77cc33480617cd9eaaf57539376b2f9990af9a8701b70f56e.html">API Authentication</a></span>
            </td>
            <td> 
                
            </td>
            <td>3</td>
            <td>0</td>
            <td>
                <span class="status_icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a></span>
                <span style="display:none">1</span>
            </td>

            <td width="165px">


<table>
    <tr>
        <td width="40px" style="padding-top:4px;">
            <div class="small" style="text-align:right;">100%</div>
        </td>
        <td style="min-width:12.5em;">
            <div class="progress">
                <div class="progress-bar" role="progressbar"
                     style="width: 100%; background-color:#30cb23;"
                     aria-valuenow="3"
                     aria-valuemin="0"
                     aria-valuemax="3"
                     title="  - Total tests: 3
  - Passing tests: 3 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#A2C4EC;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="3"
                     title="  - Total tests: 3
  - Passing tests: 3 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkgrey;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="3"
                     title="  - Total tests: 3
  - Passing tests: 3 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#EEE098;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="3"
                     title="  - Total tests: 3
  - Passing tests: 3 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#f8001f;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="3"
                     title="  - Total tests: 3
  - Passing tests: 3 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkorange;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="3"
                     title="  - Total tests: 3
  - Passing tests: 3 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:fuchsia;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="3"
                     title="  - Total tests: 3
  - Passing tests: 3 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
            </div>
        </td>
    </tr>
</table>
            </td>

        </tr>


        <tr>


            <td> 
                <a href="ab734688a5b497119987271b114d2e41d1b80959a1ef0c83762f7da0fe3a10e8.html">Comment API</a></span>
            </td>
            <td> 
                
            </td>
            <td>2</td>
            <td>0</td>
            <td>
                <span class="status_icon"><a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a></span>
                <span style="display:none">2</span>
            </td>

            <td width="165px">


<table>
    <tr>
        <td width="40px" style="padding-top:4px;">
            <div class="small" style="text-align:right;">0%</div>
        </td>
        <td style="min-width:12.5em;">
            <div class="progress">
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#30cb23;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 100%; background-color:#A2C4EC;"
                     aria-valuenow="2"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkgrey;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#EEE098;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#f8001f;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkorange;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:fuchsia;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
            </div>
        </td>
    </tr>
</table>
            </td>

        </tr>


        <tr>


            <td> 
                <a href="849966e24da266cfc9196a6e38262221c94c8733a97e188d89343322b2d6351d.html">Confirmation API</a></span>
            </td>
            <td> 
                
            </td>
            <td>0</td>
            <td>0</td>
            <td>
                <span class="status_icon"><a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a></span>
                <span style="display:none">2</span>
            </td>

            <td width="165px">


<table>
    <tr>
        <td width="40px" style="padding-top:4px;">
            <div class="small" style="text-align:right;">0%</div>
        </td>
        <td style="min-width:12.5em;">
            <div class="progress">
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#30cb23;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="0"
                     title="  - Total tests: 0
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#A2C4EC;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="0"
                     title="  - Total tests: 0
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkgrey;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="0"
                     title="  - Total tests: 0
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#EEE098;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="0"
                     title="  - Total tests: 0
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#f8001f;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="0"
                     title="  - Total tests: 0
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkorange;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="0"
                     title="  - Total tests: 0
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:fuchsia;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="0"
                     title="  - Total tests: 0
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
            </div>
        </td>
    </tr>
</table>
            </td>

        </tr>


        <tr>


            <td> 
                <a href="bd358fc71d4d5dbfd61fa54e7928f6aa0fee842510b316b71daf4f46ba5a1cd3.html">Library Content API</a></span>
            </td>
            <td> 
                
            </td>
            <td>2</td>
            <td>0</td>
            <td>
                <span class="status_icon"><a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a></span>
                <span style="display:none">2</span>
            </td>

            <td width="165px">


<table>
    <tr>
        <td width="40px" style="padding-top:4px;">
            <div class="small" style="text-align:right;">0%</div>
        </td>
        <td style="min-width:12.5em;">
            <div class="progress">
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#30cb23;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 100%; background-color:#A2C4EC;"
                     aria-valuenow="2"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkgrey;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#EEE098;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#f8001f;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkorange;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:fuchsia;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
            </div>
        </td>
    </tr>
</table>
            </td>

        </tr>


        <tr>


            <td> 
                <a href="0a3bb92c62187572ef43df22294915fe9c261333160047f89272e587553b175c.html">Search API</a></span>
            </td>
            <td> 
                
            </td>
            <td>2</td>
            <td>0</td>
            <td>
                <span class="status_icon"><a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a></span>
                <span style="display:none">2</span>
            </td>

            <td width="165px">


<table>
    <tr>
        <td width="40px" style="padding-top:4px;">
            <div class="small" style="text-align:right;">0%</div>
        </td>
        <td style="min-width:12.5em;">
            <div class="progress">
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#30cb23;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 100%; background-color:#A2C4EC;"
                     aria-valuenow="2"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkgrey;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#EEE098;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#f8001f;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkorange;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:fuchsia;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 0 (0%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (100%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
            </div>
        </td>
    </tr>
</table>
            </td>

        </tr>


        <tr>


            <td> 
                <a href="8ded5911c09a6e6fa5f212701de0e767cf15433edc8c5c6fa3d7ac35e38a272d.html">User API</a></span>
            </td>
            <td> 
                
            </td>
            <td>2</td>
            <td>0</td>
            <td>
                <span class="status_icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a></span>
                <span style="display:none">1</span>
            </td>

            <td width="165px">


<table>
    <tr>
        <td width="40px" style="padding-top:4px;">
            <div class="small" style="text-align:right;">100%</div>
        </td>
        <td style="min-width:12.5em;">
            <div class="progress">
                <div class="progress-bar" role="progressbar"
                     style="width: 100%; background-color:#30cb23;"
                     aria-valuenow="2"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 2 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#A2C4EC;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 2 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkgrey;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 2 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#EEE098;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 2 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#f8001f;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 2 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkorange;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 2 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:fuchsia;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="2"
                     title="  - Total tests: 2
  - Passing tests: 2 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
            </div>
        </td>
    </tr>
</table>
            </td>

        </tr>


        <tr>


            <td> 
                <a href="769b61a942a70440de1c0c12b127689140a67a379f3c54faaed82def267ef777.html">User Attribute API</a></span>
            </td>
            <td> 
                
            </td>
            <td>7</td>
            <td>0</td>
            <td>
                <span class="status_icon"><a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a></span>
                <span style="display:none">2</span>
            </td>

            <td width="165px">


<table>
    <tr>
        <td width="40px" style="padding-top:4px;">
            <div class="small" style="text-align:right;">71.4%</div>
        </td>
        <td style="min-width:12.5em;">
            <div class="progress">
                <div class="progress-bar" role="progressbar"
                     style="width: 71.428571%; background-color:#30cb23;"
                     aria-valuenow="5"
                     aria-valuemin="0"
                     aria-valuemax="7"
                     title="  - Total tests: 7
  - Passing tests: 5 (71.4%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (28.6%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 28.571429%; background-color:#A2C4EC;"
                     aria-valuenow="2"
                     aria-valuemin="0"
                     aria-valuemax="7"
                     title="  - Total tests: 7
  - Passing tests: 5 (71.4%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (28.6%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkgrey;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="7"
                     title="  - Total tests: 7
  - Passing tests: 5 (71.4%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (28.6%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#EEE098;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="7"
                     title="  - Total tests: 7
  - Passing tests: 5 (71.4%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (28.6%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#f8001f;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="7"
                     title="  - Total tests: 7
  - Passing tests: 5 (71.4%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (28.6%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkorange;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="7"
                     title="  - Total tests: 7
  - Passing tests: 5 (71.4%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (28.6%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:fuchsia;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="7"
                     title="  - Total tests: 7
  - Passing tests: 5 (71.4%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 2 (28.6%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
            </div>
        </td>
    </tr>
</table>
            </td>

        </tr>


        <tr>


            <td> 
                <a href="3cd56c3dc7653b4b633640e29fc78fa9f10b78dd0e4da34de475dfb8317a3c95.html">User Library API</a></span>
            </td>
            <td> 
                
            </td>
            <td>3</td>
            <td>0</td>
            <td>
                <span class="status_icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a></span>
                <span style="display:none">1</span>
            </td>

            <td width="165px">


<table>
    <tr>
        <td width="40px" style="padding-top:4px;">
            <div class="small" style="text-align:right;">100%</div>
        </td>
        <td style="min-width:12.5em;">
            <div class="progress">
                <div class="progress-bar" role="progressbar"
                     style="width: 100%; background-color:#30cb23;"
                     aria-valuenow="3"
                     aria-valuemin="0"
                     aria-valuemax="3"
                     title="  - Total tests: 3
  - Passing tests: 3 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#A2C4EC;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="3"
                     title="  - Total tests: 3
  - Passing tests: 3 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkgrey;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="3"
                     title="  - Total tests: 3
  - Passing tests: 3 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#EEE098;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="3"
                     title="  - Total tests: 3
  - Passing tests: 3 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:#f8001f;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="3"
                     title="  - Total tests: 3
  - Passing tests: 3 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:darkorange;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="3"
                     title="  - Total tests: 3
  - Passing tests: 3 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
                <div class="progress-bar" role="progressbar"
                     style="width: 0%; background-color:fuchsia;"
                     aria-valuenow="0"
                     aria-valuemin="0"
                     aria-valuemax="3"
                     title="  - Total tests: 3
  - Passing tests: 3 (100%)
  - Failing tests: 0 (0%)
  - Tests with errors: 0 (0%)
  - Compromised tests 0 (0%)
  - Pending tests: 0 (0%)
  - Ignored or skipped tests: 0 (0%)">
                </div>
            </div>
        </td>
    </tr>
</table>
            </td>

        </tr>
    </tbody>
</table>



                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-sm-12">
                                                <h3><i class="fas fa-cogs"></i> Automated Tests</h3>

                                            <table class="scenario-result-table table" id="scenario-results">
                                                <thead>
                                                <tr>
                                                    <th>feature</th>
                                                    <th class="test-name-column">Scenario</th>
                                                    <th>Steps</th>
                                                    <th>Start Time</th>
                                                    <th>Duration</th>
                                                    <th>Result</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="38cfced0e0a5cef77cc33480617cd9eaaf57539376b2f9990af9a8701b70f56e.html">API Authentication</a>
                                                    </td>
                                                    <td>
                                                            <a href="6902f6e44e96c7f2ae4ee87fb72e02dd76e5417f5e38a40aaf697e1b1554b4e5.html">Sign in with valid admin account</a>
                                                    </td>
                                                    <td>5</td>
                                                    <td>08:26:14</td>
                                                    <td>680ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="38cfced0e0a5cef77cc33480617cd9eaaf57539376b2f9990af9a8701b70f56e.html">API Authentication</a>
                                                    </td>
                                                    <td>
                                                            <a href="8575f07b1ede6f509659adebd52224975e2421acd1d59d3adac4b9a3d0cff627.html">Allow restricted api call with valid credentials</a>
                                                    </td>
                                                    <td>7</td>
                                                    <td>08:26:15</td>
                                                    <td>483ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="38cfced0e0a5cef77cc33480617cd9eaaf57539376b2f9990af9a8701b70f56e.html">API Authentication</a>
                                                    </td>
                                                    <td>
                                                            <a href="ac28f3f11be22dcdef3513f96b51c8b7f9732aa258464a5d4aa42634f94c4836.html">Deny restricted api call</a>
                                                    </td>
                                                    <td>4</td>
                                                    <td>08:26:15</td>
                                                    <td>237ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result PENDING">
                                                    <td>
                                                            <a href="ab734688a5b497119987271b114d2e41d1b80959a1ef0c83762f7da0fe3a10e8.html">Comment API</a>
                                                    </td>
                                                    <td>
                                                            <a href="394cc03a481f5722bdc830914161923a38f8279af9f2b566561248c225d7118c.html">Comment API - Top Level</a>
                                                    </td>
                                                    <td>15</td>
                                                    <td>08:26:16</td>
                                                    <td>1s 145ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a> <span
                                                                style="display:none">PENDING</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result PENDING">
                                                    <td>
                                                            <a href="ab734688a5b497119987271b114d2e41d1b80959a1ef0c83762f7da0fe3a10e8.html">Comment API</a>
                                                    </td>
                                                    <td>
                                                            <a href="f9f89c6bb6690d95d59981c6179da62bbda0dc4d3639aaf03305b1c840af0271.html">Comment API - Reply</a>
                                                    </td>
                                                    <td>16</td>
                                                    <td>08:26:17</td>
                                                    <td>882ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a> <span
                                                                style="display:none">PENDING</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result PENDING">
                                                    <td>
                                                            <a href="bd358fc71d4d5dbfd61fa54e7928f6aa0fee842510b316b71daf4f46ba5a1cd3.html">Library Content API</a>
                                                    </td>
                                                    <td>
                                                            <a href="a40e6eeaa041d8b04109e8bcd7a9b3dbdd5a5c5c99a39481ae0cdc5f8503ab59.html">Create Content API</a>
                                                    </td>
                                                    <td>8</td>
                                                    <td>08:26:18</td>
                                                    <td>825ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a> <span
                                                                style="display:none">PENDING</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result PENDING">
                                                    <td>
                                                            <a href="bd358fc71d4d5dbfd61fa54e7928f6aa0fee842510b316b71daf4f46ba5a1cd3.html">Library Content API</a>
                                                    </td>
                                                    <td>
                                                            <a href="42b7656862da2a2db4336883f8ea0d6c2ce4606efe5e0c4086bf74e240892272.html">Load Content API</a>
                                                    </td>
                                                    <td>12</td>
                                                    <td>08:26:19</td>
                                                    <td>1s 130ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a> <span
                                                                style="display:none">PENDING</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result PENDING">
                                                    <td>
                                                            <a href="0a3bb92c62187572ef43df22294915fe9c261333160047f89272e587553b175c.html">Search API</a>
                                                    </td>
                                                    <td>
                                                            <a href="68a11ddc979b089b2e2baff1f9abfcdd5bc417f0579bc8ed828f942ebc04abf2.html">Search API - search members by name</a>
                                                    </td>
                                                    <td>6</td>
                                                    <td>08:26:20</td>
                                                    <td>864ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a> <span
                                                                style="display:none">PENDING</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result PENDING">
                                                    <td>
                                                            <a href="0a3bb92c62187572ef43df22294915fe9c261333160047f89272e587553b175c.html">Search API</a>
                                                    </td>
                                                    <td>
                                                            <a href="35c6c4b21076bf57787631f96057f864f34178677cf32850976051a61b568791.html">Search API - search members by email</a>
                                                    </td>
                                                    <td>6</td>
                                                    <td>08:26:21</td>
                                                    <td>873ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a> <span
                                                                style="display:none">PENDING</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="8ded5911c09a6e6fa5f212701de0e767cf15433edc8c5c6fa3d7ac35e38a272d.html">User API</a>
                                                    </td>
                                                    <td>
                                                            <a href="ab807920126e3f96ba196e3717f7910d38adc714f2c4489224b68cfcad3403c7.html">Create User API</a>
                                                    </td>
                                                    <td>6</td>
                                                    <td>08:26:21</td>
                                                    <td>903ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="8ded5911c09a6e6fa5f212701de0e767cf15433edc8c5c6fa3d7ac35e38a272d.html">User API</a>
                                                    </td>
                                                    <td>
                                                            <a href="0764825f7a172d9d4ce2f46b3c3157cb93b7b40b18c26657ce312741c84f6298.html">Delete User API</a>
                                                    </td>
                                                    <td>8</td>
                                                    <td>08:26:22</td>
                                                    <td>940ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="769b61a942a70440de1c0c12b127689140a67a379f3c54faaed82def267ef777.html">User Attribute API</a>
                                                    </td>
                                                    <td>
                                                            <a href="ce0fc0b19a3ccdbb9a6e431d8d3b8d59cc8581374cce23084e3f77475d7a9130.html">Create User Attribute API</a>
                                                    </td>
                                                    <td>12</td>
                                                    <td>08:26:23</td>
                                                    <td>1s 075ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="769b61a942a70440de1c0c12b127689140a67a379f3c54faaed82def267ef777.html">User Attribute API</a>
                                                    </td>
                                                    <td>
                                                            <a href="57fc71675fc7881d31cdcadbdb17c7cbdf53f6f149f7a33d8bc5968df11e0c22.html">Delete User Attribute API (happy path)</a>
                                                    </td>
                                                    <td>14</td>
                                                    <td>08:26:24</td>
                                                    <td>1s 015ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result PENDING">
                                                    <td>
                                                            <a href="769b61a942a70440de1c0c12b127689140a67a379f3c54faaed82def267ef777.html">User Attribute API</a>
                                                    </td>
                                                    <td>
                                                            <a href="e1143238df2b73235c1dc58013bf5882d481be6f1c6b9e7cf39bb83ae884b3a0.html">Delete User Attribute API (authorize for principal only)</a>
                                                    </td>
                                                    <td>0</td>
                                                    <td>08:26:25</td>
                                                    <td>004ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a> <span
                                                                style="display:none">PENDING</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="769b61a942a70440de1c0c12b127689140a67a379f3c54faaed82def267ef777.html">User Attribute API</a>
                                                    </td>
                                                    <td>
                                                            <a href="a823830581157452a350e125a7eda7fdc393ceef2cf233c48001a97d72e9e065.html">Count User Attribute API</a>
                                                    </td>
                                                    <td>13</td>
                                                    <td>08:26:25</td>
                                                    <td>981ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="769b61a942a70440de1c0c12b127689140a67a379f3c54faaed82def267ef777.html">User Attribute API</a>
                                                    </td>
                                                    <td>
                                                            <a href="08cd0c1b7b88063feca784681493b26431d704edaaaafce5455178b17561ed5e.html">Find User Attribute API</a>
                                                    </td>
                                                    <td>13</td>
                                                    <td>08:26:26</td>
                                                    <td>1s 016ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="769b61a942a70440de1c0c12b127689140a67a379f3c54faaed82def267ef777.html">User Attribute API</a>
                                                    </td>
                                                    <td>
                                                            <a href="bf278bb551a0e5d4a0d92ae0ee32a19d1d6843d35cf695d066c21e0aff3eab77.html">Update User Attribute API (happy path)</a>
                                                    </td>
                                                    <td>10</td>
                                                    <td>08:26:27</td>
                                                    <td>947ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result PENDING">
                                                    <td>
                                                            <a href="769b61a942a70440de1c0c12b127689140a67a379f3c54faaed82def267ef777.html">User Attribute API</a>
                                                    </td>
                                                    <td>
                                                            <a href="335f412af52e2cb5575caaada20cbea43cdf29fbe13dfc70f2ddb9f4f98071e5.html">Update User Attribute API (authorize for principal only)</a>
                                                    </td>
                                                    <td>0</td>
                                                    <td>08:26:28</td>
                                                    <td>002ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a> <span
                                                                style="display:none">PENDING</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="3cd56c3dc7653b4b633640e29fc78fa9f10b78dd0e4da34de475dfb8317a3c95.html">User Library API</a>
                                                    </td>
                                                    <td>
                                                            <a href="0c31c9c78597d8afb052bdfc5cc27101edcd79388d149de59bb5ef1cf0236e05.html">Create Library API</a>
                                                    </td>
                                                    <td>15</td>
                                                    <td>08:26:28</td>
                                                    <td>833ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="3cd56c3dc7653b4b633640e29fc78fa9f10b78dd0e4da34de475dfb8317a3c95.html">User Library API</a>
                                                    </td>
                                                    <td>
                                                            <a href="8f0d94b6f7f47144b12b93d25d670efff5f39a3032866c42c90a24501f310eab.html">Update Library API</a>
                                                    </td>
                                                    <td>15</td>
                                                    <td>08:26:29</td>
                                                    <td>847ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="3cd56c3dc7653b4b633640e29fc78fa9f10b78dd0e4da34de475dfb8317a3c95.html">User Library API</a>
                                                    </td>
                                                    <td>
                                                            <a href="fc718c4246779a5cd56be28ce7aa7eaa7fd8c0811be782da5a4e423e425b858c.html">Delete Library API</a>
                                                    </td>
                                                    <td>10</td>
                                                    <td>08:26:30</td>
                                                    <td>811ms</td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                </tbody>
                                            </table>

                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-sm-12">
                                                <h3><i class="fas fa-edit"></i> Manual Tests</h3>

                                                No manual tests were recorded

                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
            <div class="container-fluid">
                <div class="row">
                    <div class="col-sm-12">
                        <span class="version">Serenity BDD version 2.1.13</span>
                    </div>
                </div>
            </div>
</body>
</html>
